package org.rykov.gismeteo.common;

/**
 * This class describes the air phenomena of the forecast.
 * @author rykov
 * @created 17.10.2008 16:56:27
 */
public class Phenomena {

    /** The cloudiness (0-3). */
    private int cloudiness;

    /** The clear constant for the cloudiness. */
    public static final int CLOUDINESS_CLEAR = 0;

    /** The some clouds constant for the cloudiness. */
    public static final int CLOUDINESS_SOME_CLOUDS = 1;

    /** The cloudy constant for the cloudiness. */
    public static final int CLOUDINESS_CLOUDY = 2;

    /** The heavy clouds constant for the cloudiness. */
    public static final int CLOUDINESS_HEAVY_CLOUDS = 3;

    /** The precipitation (4-10). */
    private int precipitation;

    /** The rain constant for the precipitation. */
    public static final int PRECIPITATION_RAIN = 4;

    /** The shower constant for the precipitation. */
    public static final int PRECIPITATION_SHOWER = 5;

    /** The snow constant for the precipitation. */
    public static final int PRECIPITATION_SNOW = 6;

    /** The show constant for the precipitation. */
    public static final int PRECIPITATION_SNOW2 = 7;

    /** The thunderstorm constant for the precipitation. */
    public static final int PRECIPITATION_THUNDERSTORM = 8;

    /** The no data constant for the precipitation. */
    public static final int PRECIPITATION_NO_DATA = 9;

    /** The none constant for the precipitation. */
    public static final int PRECIPITATION_NONE = 10;

    /** The precipitation power (0-1). */
    private int rpower;

    /** The possible constant for the precipitation power. */
    public static final int RPOWER_POSSIBLE = 0;

    /** The expected constant for the precipitation power. */
    public static final int RPOWER_EXPECTED = 1;

    /** The thunderstorm power (0-1). */
    private int spower;

    /** The possible constant for the thunderstorm power. */
    public static final int SPOWER_POSSIBLE = 0;

    /** The expected constant for the thunderstorm power. */
    public static final int SPOWER_EXPECTED = 1;

    public int getCloudiness() {
        return cloudiness;
    }

    public void setCloudiness(int cloudiness) {
        this.cloudiness = cloudiness;
    }

    public int getPrecipitation() {
        return precipitation;
    }

    public void setPrecipitation(int precipitation) {
        this.precipitation = precipitation;
    }

    public int getRpower() {
        return rpower;
    }

    public void setRpower(int rpower) {
        this.rpower = rpower;
    }

    public int getSpower() {
        return spower;
    }

    public void setSpower(int spower) {
        this.spower = spower;
    }
}
