package org.rykov.gismeteo.idea;

import org.rykov.gismeteo.ui.Resources;
import org.rykov.gismeteo.ui.ForecastTable;
import org.rykov.gismeteo.ui.ForecastTableModel;
import org.rykov.gismeteo.ui.Config;
import org.rykov.gismeteo.common.MMWeather;

import javax.swing.*;
import javax.swing.event.HyperlinkListener;
import javax.swing.event.HyperlinkEvent;
import java.awt.*;

import com.intellij.ui.HyperlinkLabel;
import com.intellij.ide.BrowserUtil;

/**
 * This class defines gismeteo tool panel.
 * @author rykov
 * @created 21.10.2008 13:34:25
 */
public class GismeteoPanel extends JPanel {

    /** The toolwindow id. */
    public static final String TOOL_WINDOW_ID = Resources.get("gismeteo.title");

    /** The forecast table. */
    private JTable table = new ForecastTable();

    /**
     * Creates the panel.
     */
    public GismeteoPanel() {
        super(new BorderLayout());
        add(BorderLayout.CENTER, new JScrollPane(table));
        JPanel panel = new JPanel(new FlowLayout(FlowLayout.RIGHT));
        HyperlinkLabel hl = new HyperlinkLabel(Resources.get("gismeteo.reference"));
        hl.addHyperlinkListener(new HyperlinkListener() {

            public void hyperlinkUpdate(HyperlinkEvent e) {
                BrowserUtil.launchBrowser(Config.get("gismeteo.url"));
            }
        });
        panel.add(hl);
        add(BorderLayout.SOUTH, panel);
    }

    /**
     * Updates the panel.
     * @param weather the weather
     */
    public void update(MMWeather weather) {
        table.setModel(new ForecastTableModel(weather.getReport().getTown().getForecasts()));
    }
}
