package org.rykov.gismeteo.sax;

import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.rykov.gismeteo.common.*;

import java.util.ArrayList;

/**
 * This class defines Document handler.
 * @author rykov
 * @created 29.10.2008 16:10:26
 */
public class DocumentHandler extends DefaultHandler {

    /** The root document object. */
    private Document document;

    public void startElement(String uri, String localName, String qName, Attributes attributes) throws SAXException {
        if (qName.equals("document")) {
            document = new Document();
            document.setCountries(new ArrayList<CountryInfo>());
            document.setTowns(new ArrayList<TownInfo>());
        } else if (qName.equals("c")) {
            CountryInfo c = new CountryInfo();
            c.setName(attributes.getValue("n"));
            c.setName_en(attributes.getValue("n_en"));
            document.getCountries().add(c);
        } else if (qName.equals("t")) {
            TownInfo t = new TownInfo();
            t.setCountry_en(attributes.getValue("c_en"));
            t.setName(attributes.getValue("n"));
            t.setName_en(attributes.getValue("n_en"));
            t.setName_ru(attributes.getValue("n_ru"));
            t.setIndex(attributes.getValue("i"));
            document.getTowns().add(t);
        }
    }

    public Document getDocument() {
        return document;
    }
}