package org.rykov.gismeteo.ui;

import java.util.ResourceBundle;

/**
 * This class manages config bundle.
 * @author rykov
 * @created 21.10.2008 15:16:30
 */
public class Config {

    /** The path to config bundle. */
    private static final String BUNDLE_NAME = "/org/rykov/gismeteo/resources/config";

    /** The resources bundle. */
    private static ResourceBundle bundle = ResourceBundle.getBundle(BUNDLE_NAME);

    /**
     * Gets the confgig parameter by the key.
     * @param key the key
     * @return the value of parameter or null if no parameter found
     */
    public static String get(String key) {
        try {
            return bundle.getString(key);
        } catch (Exception e) {
            return null;
        }
    }
}