package org.rykov.gismeteo.ui;

import javax.swing.*;
import javax.swing.table.TableModel;
import javax.swing.table.TableCellRenderer;

/**
 * This class defines the forecast table.
 * @author rykov
 * @created 21.10.2008 11:26:12
 */
public class ForecastTable extends JTable {

    /** The icon renderer. */
    private IconTableRenderer iconRenderer = new IconTableRenderer();

    /**
     * Creates the blank forecast table.
     */
    public ForecastTable() {
        this(null);
    }

    /**
     * Creates the forecast table.
     * @param dataModel the data model
     */
    public ForecastTable(TableModel dataModel) {
        super(dataModel);
        setTableHeader(null);
    }

    /**
     * Gets the icon renderer.
     * @param row the row
     * @param column the column
     * @return the renderer
     */
    public TableCellRenderer getCellRenderer(int row, int column) {
        return iconRenderer;
    }
}
