package org.rykov.gismeteo.ui;

import javax.swing.table.TableCellRenderer;
import javax.swing.*;
import java.awt.*;

/**
 * This class defines the icon table renderer.
 * @author rykov
 * @created 21.10.2008 11:19:49
 */
public class IconTableRenderer implements TableCellRenderer {

    /** The label to render icon or text. */
    private JLabel label = new JLabel();

    /**
     * Create the icon renderer.
     */
    public IconTableRenderer() {
        label.setHorizontalAlignment(JLabel.CENTER);
    }

    public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column) {
        if (value instanceof IconCell) {
            IconCell iconCell = (IconCell) value;
            label.setIcon(iconCell.getIcon());
            label.setText(iconCell.getText());
            label.setToolTipText(iconCell.getTooltip());
        } else {
            label.setIcon(null);
            label.setText(value.toString());
            label.setToolTipText(value.toString());
        }
        return label;
    }
}
