package org.rykov.gismeteo.ui;

import java.util.ResourceBundle;

/**
 * This class manages message resources bundle.
 * @author rykov
 * @created 21.10.2008 15:16:30
 */
public class Resources {

    /** The path to message resources bundle. */
    private static final String BUNDLE_NAME = "/org/rykov/gismeteo/resources/gismeteo";

    /** The resources bundle. */
    private static ResourceBundle bundle = ResourceBundle.getBundle(BUNDLE_NAME);

    /**
     * Gets the message by the key.
     * @param key the key
     * @return the message or the key if no message found
     */
    public static String get(String key) {
        try {
            return bundle.getString(key);
        } catch (Exception e) {
            return key;
        }
    }
}
